Skip to main content
`Ctrl`+`K`

# PetscDualSpaceSumGetInterleave

Get whether the basis functions and components of a uniform sum are interleaved

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceSumGetInterleave(PetscDualSpace sp, PetscBool *interleave_basis, PetscBool *interleave_components)

Logically collective

## Input Parameter

- sp - a `PetscDualSpace` of type `PETSCDUALSPACESUM`

## Output Parameters

- interleave_basis - if `PETSC_TRUE`, the basis vectors of the subspaces are interleaved

- interleave_components - if `PETSC_TRUE` and the space concatenates components (`PetscDualSpaceSumGetConcatenate()`), interleave the concatenated components

## See Also

`PetscDualSpace`, `PETSCDUALSPACESUM`, `PETSCFEVECTOR`, `PetscDualSpaceSumSetInterleave()`

## Level

developer

## Location

src/dm/dt/dualspace/impls/sum/dualspacesum.c

## Implementations

PetscDualSpaceSumGetInterleave_Sum() in src/dm/dt/dualspace/impls/sum/dualspacesum.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages